### Method

# Hex Document write_to_file_async

#### Declaration

    void
    hex_document_write_to_file_async (
      HexDocument* doc,
      GFile* file,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Write the buffer to `file` asynchronously. This can be used for a ‘Save As’ operation. This is the non-blocking version of `hex_document_write_to_file()`.

Note that for both this method and `hex_document_write_async()`, `hex_document_write_finish()` is the method to retrieve the return value in your `GAsyncReadyCallback` function.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to be written to.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to be called when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.